%define name 	PyGtkScintilla
%define version 0.8.2
%define release 4mdk

%define pythonver 2.3

Summary: 	PyGtkScintilla - A Python wrapper for GtkScintilla
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Python
Url: 		http://www.moleskine.f2s.com
Source: 	%{name}-%{version}.tar.bz2
Requires: 	python
Requires: 	libGtkScintilla0 >= 0.8.1
Buildrequires: 	libGtkScintilla-devel XFree86-devel libgtk+1.2-devel 
Buildrequires: 	libpython-devel
BuildRoot: 	%{_tmppath}/%{name}-root

%description
This is a Pyhton wrapper for the widget GtkScintilla, see its documentation
for more info.

%prep
%setup -q

%build
%make

%install
rm -fr $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING README 
%_libdir/python%pythonver/site-packages/*

%changelog
* Thu Aug 7 2003 Austin Acton <aacton@yorku.ca> 0.8.2-4mdk
- python 2.3
- cleanup

* Fri Apr 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-3mdk
- adjust buildrequires

* Sun Jan 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-2mdk
- from Austin Acton <aacton@yorku.ca> :
	- fix requires

* Tue Dec 31 2002 Austin Acton <aacton@yorku.ca> 0.8.2-1mdk
- initial package
